## libmcrypt 2.5.8

=== debian/changelog ===
libmcrypt (2.5.8-8) unstable; urgency=medium

  [ Bo YU ]
  * Fix ftbfs on gcc-14 (closes: #1075183)

  [ Barak A. Pearlmutter ]
  * Bump policy version
  * Switch some http: URLs to https:
  * Do not install libmcrypt.la
  * Install mcrypt.pc pkgconf support file
  * Build dependency on pkgconf for PKG_INSTALLDIR autoconf macro

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Sep 2024 16:12:01 +0100

libmcrypt (2.5.8-7) unstable; urgency=medium

  * Ignore test failure like in the old days.
    ("Algorithm: enigma... failed compatibility" triggering on some archs.)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Jan 2022 20:03:51 +0000

libmcrypt (2.5.8-6) unstable; urgency=medium

  * Specify type in extern declarations in generated file lib/mcrypt_symb.c
  * Update debian/watch uscan support file
  * Enable mucho warnings to help debug architectures that fail tests

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Jan 2022 00:13:19 +0000

libmcrypt (2.5.8-5) unstable; urgency=medium

  * Fix build error due to stray old configure.in

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Jan 2022 10:34:24 +0000

libmcrypt (2.5.8-4) unstable; urgency=medium

  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Explicitly specify source format.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from deprecated 7 to 10.
  * Update renamed lintian tag names in lintian overrides.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use secure URI in Vcs control headers: Vcs-Browser, Vcs-Git.
  * Remove Section on libmcrypt4 that duplicates source.
  * Bump policy.
  * Bump to debhelper 13.
  * Take over maintenance.
  * Recombobulate autotools. (closes: #993033)
  * Merge some misc patches.
  * Harden.
  * Rules do not require root.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Jan 2022 23:51:49 +0000

libmcrypt (2.5.8-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on at least two architectures due to test failures in the
    "enigma". Thanks to Göran Weinholt (weinholt) for the patch.
    (Closes: #917203)
  * Update Vcs-{Git,Browser} to point to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Apr 2019 14:38:10 +0200

libmcrypt (2.5.8-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Really fix #754132

 -- Wookey <wookey@debian.org>  Mon, 15 Sep 2014 08:01:17 +0000

libmcrypt (2.5.8-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by using dh --with autoreconf. Closes: #754132

 -- Andreas Barth <aba@ayous.org>  Mon, 25 Aug 2014 16:08:33 +0000

libmcrypt (2.5.8-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Add missing Replaces: from libmcrypt-dev to libmcrypt4 (<< 2.5.8-1).
    Closes: #523310.

 -- Steve Langasek <vorlon@debian.org>  Fri, 14 Aug 2009 14:50:23 -0700

libmcrypt (2.5.8-3) unstable; urgency=low

  * Applied the following patches from sourceforge.net's bugtracker:
    - libmcrypt-2.5.8-prototypes.diff
      http://sourceforge.net/tracker/?func=detail&aid=1872799&group_id=87941&atid=584895
    - libmcrypt-rotate-mask.patch (this should fix build on 64bit archs)
      http://sourceforge.net/tracker/?func=detail&aid=2424445&group_id=87941&atid=584895

 -- RISKO Gergely <risko@debian.org>  Mon, 30 Mar 2009 01:59:02 +0300

libmcrypt (2.5.8-2) unstable; urgency=low

  * debian/rules: fix the clean target, which wasn't runnable after
    extracting the source package
  * remove unneeded libltdl-dev build dependency

 -- RISKO Gergely <risko@debian.org>  Sun, 29 Mar 2009 16:53:12 +0300

libmcrypt (2.5.8-1) unstable; urgency=low

  * Imported Upstream version 2.5.8 (closes: #427437)
    - fixes lib/libmcrypt.m4 quoting bug (closes: #305288)
  * debian/rules: simplified packaging by using dh
  * new control fields (homepage, vcs-*), watch file, debian/compat = 7
  * include the mcrypt.3 manpage as libmcrypt.3 in the dev package
  * enable static library in the dev package
  * put .so and .la into the dev instead of the lib package
    (closes: #501680)
  * debian/copyright cleanups
  * ${Source-Versions} -> ${binary:Version} in debian/control
  * Depends: ${misc:Depends} in debian/control
  * lintian source package overrides: debian/source.lintian-overrides
  * config.sub, config.guess patch to use the versions from
    /usr/share/misc
  * support 40 and 80 bits long keys in cast5
    patch sent to upstream
    (closes: #299509)

 -- RISKO Gergely <risko@debian.org>  Sat, 28 Mar 2009 22:25:40 +0200

libmcrypt (2.5.7-5.1) unstable; urgency=low

  * NMU upload.
  * Fix spurious aclocal warning thanks to a patch from Alban
    Browaeys. Closes: #305288.

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Dec 2008 15:10:43 +0100

libmcrypt (2.5.7-5) unstable; urgency=low

  * updated the description about the new algorithms
  * new sourceforge project url added to the copyright file

 -- RISKO Gergely <risko@debian.org>  Mon, 21 Mar 2005 00:59:11 +0100

libmcrypt (2.5.7-4) unstable; urgency=low

  * relibtoolize for GNU/k*BSD (closes: #266323)

 -- RISKO Gergely <risko@debian.org>  Sun, 26 Sep 2004 17:40:08 +0200

libmcrypt (2.5.7-3) unstable; urgency=low

  * adding Replaces: libmcrypt4 (<< 2.5.7-2) to libmcrypt-dev, thanks
    to Ray (closes: #265586)

 -- RISKO Gergely <risko@debian.org>  Sat, 14 Aug 2004 01:05:56 +0200

libmcrypt (2.5.7-2) unstable; urgency=low

  * copyright file fixes
  * section of libmcrypt-dev is libdevel from now
  * added code to debian/rules to automatically update config.sub,
    config.guess
  * added a manpage for libmcrypt-config, so can remove lintian file
  * mcrypt.3 is a symlink to libmcrypt.3 from now (closes: #208877)

 -- RISKO Gergely <risko@debian.org>  Fri, 13 Aug 2004 17:22:52 +0200

libmcrypt (2.5.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version.

 -- Andrés Roldán <aroldan@debian.org>  Sun,  5 Oct 2003 01:03:32 +0000


