=== debian/watch ===
version=4
https://sf.net/mcrypt/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
